Category:
Numbers: RE-9936

Department: SUPPORT Affected Products: ADTF 3.6.2
Resolution: Known Problem FAQ Links:

Description

Supportanfrage

Could check whether this is only due to our installation? If not | would like to have information from Digitalwerk asap.

In ADTF 3.6.2 the adtf_playback_input.plugindescription specififies the filenames property as a cString not as a cFilename.
Consequence: it is not possible to get a file chooser and "Create Pins From Playback File" does not work even when file path is
entered manually.

The Example Project still specifies the Filter instances to have the properties as a cFilename in the properties files.

Workaround: replace cString by cFilename in the .plugindescription files.
Or is there a better suggestion?

After that workaround there is still a problem with "Create Pins From Playback File" when the path to the playback file contains a
space. Note that this is default for EB's installation path, so it should be supported. The latter error applies also to ADTF 3.5. Please
provide here also the information when a fix will be available.

Note that the playback service seems now to have the right settings for its properties but entering a file there seems to have no effect
on the created pins.

This is a issue that will happen on each installation with the ADTF3.6.2 Version. Our customers are confused this is not well handled.
Lésung

ACORE-9936

The kind of property editor to choose the files in ADTF 3.6.2 and previous depends on the property type which is deposited in the
properties files. Replacing cString by cFilename in the .plugindescription is a possible workaround but remember, the property type in
the plugindescription has no effect if there is a different entry in the property files, which will be prefered.

We reworked the ADTFDAT File Player Filter Editor in ACORE-9936. As part of it we harmonized the type of the filenames property
in the plugindescription and properties files to get the expected property editor. The Problem with the spaces in the file path while

creating pins will be solved in the new Filter Editor too. Unfortunately there is no workaround for the old filter editor. Fix Version will
be ADTF 3.7.0.

History

#1 - 2019-10-29 14:10 - hidden

Michael G: Bitte einmal nachstellen. Speziell der Spaces-Fall
Kevin B: Bitte das relevante Ticket heraussuchen und dem Anwender mitteilen

#2 - 2019-10-31 00:47 - hidden
- Topic set to ADTF::Player

- Resolution set to Known Problem
- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9936
- Customer set to ELEKTROBIT
- Affected Products ADTF 3.6.2 added

Hello,

the kind of property editor to choose the files in ADTF 3.6.2 and previous depends on the property type which is deposited in the properties files.
Replacing cString by cFilename in the .plugindescription is a possible workaround but remember, the property type in the plugindescription has no
effect if there is a different entry in the property files, which will be prefered.

We reworked the ADTFDAT File Player Filter Editor in ACORE-9936. As part of it we harmonized the type of the filenames property in the
plugindescription and properties files to get the expected property editor. The Problem with the spaces in the file path while creating pins will be
solved in the new Filter Editor too. Unfortunately there is no workaround for the old filter editor. Fix Version will be ADTF 3.7.0.

Best regards,
Kevin

#3 - 2019-10-31 11:13 - hidden
- Description updated
- Status changed from New to To Be Closed

- Platform Windows 10 64bit added

#4 - 2020-07-07 16:28 - hidden

- Subject changed from EBPRODUCTSUPPORT-5214 [ZKW] Technical request: ADTFDAT File Player open the file browser not possible to
EBPRODUCTSUPPORT-5214 ADTFDAT File Player open the file browser not possible

- Description updated

- Private changed from Yes to No

- Support Level changed from 2nd Level to 3rd Level
- Department set to SUPPORT

#5 - 2020-07-07 16:40 - hidden
- Status changed from To Be Closed to Closed
